# Ancile
## About
https://gitlab.com/misc-scripts1/windows/ancile/AncileRelese

Ancile is a collection of scripts that will, by default, build the latest stable release of Ancile.
This is not the official release of ancile. To download the archived releases go to https://bitbucket.org/ancile_development/ancile/downloads/.

For more information go to https://voat.co/v/ancile

## Features
### AncileRelese.cmd
This script will build the latest release of Ancile using the Windows Command shell.

### ancilerelease.sh
This script will build the latest release of Ancile from a Linux or CygWin shell.

### plugins.lst
This file is a list of plugins to download and automatically add to the release. By defaut this is a list of officially supportred plugins. You can edit this list to create custom builds.

## Instructions
Ancile does not require installation and can be run directly from within it's parent folder.

1. Clone the latest stable release (git clone https://matthewlinton@bitbucket.org/ancile_development/ancile.git)
1. Navigate to the Ancile directory.
1. Run either "AncileRelese.cmd" (Windows) or "ancilerelease.sh" (CygWin/Linux)

Ancile will generate the latest Ancile release from the latest stable branches of Ancile Core and all supported plugins.

## License
This code is not covered under any license. You are welcome to modify and share this code as you please.

## Liability
Use Ancile at your own risk!

Ancile, to the best of my knowledge, does not contain any harmful or malicious code. I assume no liability for any issues that may occur from the use of this software. Please take the time to understand how this code will interact with your system before using it.

## Resources
Ancile uses the following third party resources to perform specific tasks.

### GIT
https://git-scm.com/

## Feedback
Please direct all feedback to the Voat subverse (https://voat.co/v/ancile/).

If you find a bug, please take the time to report it (https://bitbucket.org/ancile_development/ancile/issues).